Description

This patch puts Settings.welcome_text from the homepage in a div with class box, attempting to make it prettier.

Hope you like it.

Benefits: looks better in my opinion, looking forward to getting some feedback.

Related issues:

Related to Redmine - Feature #8058: Separation of content language from UI la... New 2011-04-04

Related to Redmine - Patch #5770: Welcome text misses wiki formatting Closed 2010-06-28

History

#1 - 2013-02-14 01:24 - Filou Centrinov

Contra. Do you want to set an invariabile label "label_welcome: Welcome"? I think you want an internationalized greeting, thats is a good idee, but

this should be not only for the title. Moreover, the greeting should be alterable in the admin settings.

May we close this issue and create a relation to #8058 ?

#2 - 2013-02-14 15:49 - Cristian Messel

Let me try to understand. You are saying that the greeting should also be alterable, just like the welcome label correct?

My intention with this patch was to put the alterable Settings.welcome_text in a box.

To be honest, I do not see the benefit in having 2 alterable boxes next to each other when Settings.welcome_text could handle that. Instead maybe I

should delete label_welcome. What do you think?

#3 - 2013-02-14 16:34 - Filou Centrinov

May it's little misunderstanding. I don't want an additional label for the welcome title and i don't want two alterable boxes. We already have one

welcome text box in the administration settings that you can also alter. Why you don't want to insert your welcome title into this existing welcome text

box?

What I can imagine is to improve this existing welcome text box to multilingual. Actually text boxes are not multilingual.

#4 - 2014-11-08 04:38 - Mischa The Evil

- Related to Patch #5770: Welcome text misses wiki formatting added

#5 - 2015-07-24 06:10 - Jean-Philippe Lang

- Status changed from New to Closed

Closed in favor of #5770.
